Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • mrmcfartypants
    Participant
    Post count: 2

    Hey all,

    I am upgrading from 2.3 to the 3.0 beta version on my Raspberry Pi 2, but I’m coming across some issues. It looks like it’s trying to boot up, but I keep getting the following error:

    /usr/bin/emulationstation: line 20: 2512 Illegal instruction $es_bin “$@”
    EmulationStation will restart in 4 seconds. Press a key to exit back to console

    It will continually display this over and over again, and the “2512” above will keep increasing by 1 (ex. 2512, 2513, 2514, etc.).

    Is anyone else experiencing this? How can I get this to boot up?

    mickmcg
    Participant
    Post count: 3

    I have exactly the same having tried the 3.0 img for the first time today.

    herbfargus
    Member
    Post count: 1858

    Did you make sure to choose the right SD image for your version of raspberry pi? Raspberry Pi 1= raspberry pi A,A+,B,B+
    Raspberry Pi 2= raspberry pi 2 model B

    mickmcg
    Participant
    Post count: 3

    Think you might be right.

    cat /proc/cpuinfo tells me I have hardware revision 0010 which is Model B+

    I will try again with the retropie-v3.0beta2-rpi1.img.gz image.

    mickmcg
    Participant
    Post count: 3

    Yes I can confirm it is working fine with the retropie-v3.0beta2-rpi1.img.gz image. Thanks!

    herbfargus
    Member
    Post count: 1858

    Its a common oversight. Glad you got it working :)

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.